/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: DisplayNameInitializer.java,v ee2284cd8413 2010/07/18 13:54:00 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.taxonomy.birds;

import it.tidalwave.bluebill.taxonomy.TaxonomyConcept;
import it.tidalwave.openrdf.elmo.RDFUtils;
import it.tidalwave.util.Initializer;
import java.util.Locale;
import javax.annotation.Nonnull;
import org.openrdf.elmo.Entity;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class DisplayNameInitializer implements Initializer<TaxonomyConcept>
  {
    @Nonnull
    private final String displayName;

    public DisplayNameInitializer (final @Nonnull String displayName)
      {
        this.displayName = displayName;
      }

    @Nonnull
    public TaxonomyConcept initialize (final @Nonnull TaxonomyConcept taxon)
      {
        RDFUtils.setDisplayName(taxon.as(Entity.class), displayName, Locale.ENGLISH);
        return taxon;
      }
  }
